{% extends "base.html" %}
{% block title %}
    Accounts List
{% endblock title %}

{% block content %}
<main>
    {% if user.is_authenticated %}
    <li>
        <a href="{% url 'create_receipt' %}">create receipt</a>
    </li>
    {% endif %}
    <h1>accounts</h1>
<table>
    <tr>
        <th>Name</th>
        <th>Number of receipts</th>
    </tr>
    {% for account in account_list %}
        <tr>
            <td>{{ account.name }}</td>
            <td>{{ account.number }}</td>
            <td>{{  account.receipts.all|length }}</td>
        </tr>
    {% endfor %}
</table>
</main>
{% endblock content %}
